Subject: Re: bug#31827: "guix pull" fails

From: Ben Sturmfels <[email-masked]>
Date: Fri, 15 Jun 2018 10:25:11 +1000

On 15/06/18 01:13, Alex Kost wrote:
> Hello, sorry for bothering.  I tried to run "guix pull" from the guix
> git checkout (using pre-inst-env) and it failed for me with the
> following backtrace.  Do I miss anything obvious?

> guix/git-download.scm:86:17: In procedure allocate-struct: Wrong type argument in position 2: 3

Hi Alex,

See: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28265#16

I'm no expert on this, but the cause is recent breaking changes in the
binary interfaces.  The command you need is "make clean-go && make”.

If "make clean-go" is also fails, as it did for me, you'll need to
remove the .go files manually. You can use something like "find . -name
'*.go'" and if you're happy with those files, add a "-delete" argument
on the end.

Once cleaned, up do a full rebuild with "./bootstrap && make".

Regards,
Ben